Error while upgrading Asterisk 1.2 to 1.4

Hello everyone,

i was doing an upgrade from asterisk 1.2 to 1.4 and after ruining make for asterisk 1.4.17 i got the follwoing errors:

utils.c: In function âast_utils_initâ:
utils.c:1344: error: âutils_cliâ undeclared (first use in this function)
utils.c:1344: error: (Each undeclared identifier is reported only once
utils.c:1344: error: for each function it appears in.)
make[1]: *** [utils.o] Error 1
make: *** [main] Error 2

so what does it mean and how can i solve this problem.

Regards